<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.finance.paymentcollection.mapper.OrderIncomeAssociationMapper">

	<resultMap id="BaseResultMap" type="com.trade.service.finance.paymentcollection.domain.OrderIncomeAssociation">
		<id column="account_number" property="accountNumber" />
		<id column="billing_income_id" property="billingIncomeId" />
		<id column="currency" property="currency" />
		<id column="customer_user_id" property="customerUserId" />
		<id column="deleted" property="deleted" />
		<id column="expected_payment_due_date" property="expectedPaymentDueDate" />
		<id column="file_ids" property="fileIds" />
		<id column="gmt_create" property="gmtCreate" />
		<id column="gmt_modified" property="gmtModified" />
		<id column="id" property="id" />
		<id column="order_info" property="orderInfo" />
		<id column="original_currency" property="originalCurrency" />
		<id column="original_receive_payment" property="originalReceivePayment" />
		<id column="payment_type" property="paymentType" />
		<id column="receive_payment" property="receivePayment" />
		<id column="remark" property="remark" />
		<id column="sale_contract_id" property="saleContractId" />
		<id column="sales_contract_no" property="salesContractNo" />
        <id column="voucher_no" property="voucherNo" />
        <id column="business_batch_number" property="businessBatchNumber" />
        <id column="prompt_receiving_currency" property="promptReceivingCurrency" />
	</resultMap>
	<sql id="Base_Column_List">
		account_number, billing_income_id, currency, customer_user_id, deleted, expected_payment_due_date, file_ids, gmt_create, gmt_modified, id, order_info, original_currency, original_receive_payment, payment_type, receive_payment, remark, sale_contract_id, sales_contract_no, voucher_no, business_batch_number, prompt_receiving_currency
	</sql>

</mapper>